/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jaxbtutor;

import java.io.File;
import java.util.ArrayList;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;

/**
 *
 * @author micha
 */
public class JaxbTutor {

    private static final String DATEI = "./buecher.xml";

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new JaxbTutor();
    }

    public JaxbTutor() {

        Buch xsl20 = new Buch();
        xsl20.setAutor("Michael Kay");
        xsl20.setTitel("XSLT 2.0 and XPath 2.0");
        xsl20.setVerlach("wrox");
        xsl20.setIsbn("978-0-470-19274-0");

        Buch spass = new Buch();
        spass.setAutor("David Foster Wallace");
        spass.setTitel("Unendlicher Spass");
        spass.setVerlach("Kiepenheuer & Witsch");
        spass.setIsbn("978-3-462-04112-5");

        ArrayList<Buch> buchliste = new ArrayList();
        buchliste.add(spass);
        buchliste.add(xsl20);
        
        Regal regal = new Regal();        
        regal.setMaterial("holz");
        regal.setBuecher(buchliste);
        
        try {
            JAXBContext context = JAXBContext.newInstance(Regal.class);
            Marshaller m = context.createMarshaller();
            m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);

            // Write to System.out
            m.marshal(regal, System.out);

            // Write to File
            m.marshal(regal, new File(DATEI));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
